//po4a: entry man manual
= enosys(1)
:doctype: manpage
:man manual: User Commands
:man source: util-linux {release-version}
:page-layout: base
:command: enosys

== NAME

enosys - utility to make syscalls fail with ENOSYS

== SYNOPSIS

*enosys* [*--syscall*|*-s* _syscall_] command

== DESCRIPTION

*enosys* is a simple command to execute a child process for which certain
syscalls fail with errno ENOSYS.

It can be used to test the behavior of applications in the face of missing
syscalls as would happen when running on old kernels.

== OPTIONS

*-s*, *--syscall*::
Syscall to block with *ENOSYS*. Can be specified multiple times.
An alternative error number or name can be specified with a colon.

*-i*, *--ioctl*::
Ioctl to block with *ENOTTY*. Can be specified multiple times.
An alternative error number or name can be specified with a colon.

*-l*, *--list*::
List syscalls known to *enosys*.

*-m*, *--list-ioctl*::
List ioctls known to *enosys*.

*-d*, *--dump*[**=**_file_]::
Dump seccomp bytecode filter to standard output.
+
The dump can for example be used by *setpriv --seccomp-filter*.

include::man-common/help-version.adoc[]

== EXAMPLES

 # fail syscall "fallocate" with ENOSYS
 enosys -s fallocate ...

 # fail syscall "fallocate" with ENOMEM
 enosys -s fallocate:ENOMEM ...

 # fail syscall "fallocate" with value 12/ENOMEM
 enosys -s fallocate:12 ...

 # fail ioctl FIOCLEX with ENOTTY
 enosys -i FIOCLEX ...

 # fail ioctl FIOCLEX with ENOMEM
 enosys -i FIOCLEX:ENOMEM ...

 # fail ioctl FIOCLEX with value 12/ENOMEM
 enosys -i FIOCLEX:12 ...

== EXIT STATUS

*enosys* exits with the status code of the executed process.
The following values have special meanings:

*1*::
internal error

*2*::
system does not provide the necessary functionality

== AUTHORS

mailto:thomas@t-8ch.de[Thomas Weißschuh]

== SEE ALSO

*syscall*(2)

include::man-common/bugreports.adoc[]

include::man-common/footer.adoc[]

ifdef::translation[]
include::man-common/translation.adoc[]
endif::[]
